| Bsoft 2.0.5 Bernard's software package

Functions
rwmodel_xml.h File Reference

Read and write models in XML format. More...

`#include "rwmodel.h"`

Go to the source code of this file.

## Functions
Bmodel * | read_model_xml (Bstring *file_list)
| Reads XML model parameters. More...
int | write_model_xml (Bstring &filename, Bmodel *model)
| Writes XML model parameters. More...

## Detailed Description

Read and write models in XML format.

Author
  Bernard Heymann

Date
  Created: 20081029
  Modified: 20081029

Definition in file rwmodel_xml.h.

## Function Documentation

## ◆ read_model_xml()

Bmodel* read_model_xml | ( | Bstring * | file_list | ) |

Reads XML model parameters.

Parameters

  *file_list | list of model parameter file names.

Returns
  Bmodel* model parameters.

Definition at line 185 of file rwmodel_xml.cpp.

## ◆ write_model_xml()

int write_model_xml | ( | Bstring & | filename,
|  | Bmodel * | model
| ) |  |

Writes XML model parameters.

Parameters

  &filename | model parameter file name.
  *model | model parameters.

Returns
  int 0, <0 on error.

Definition at line 298 of file rwmodel_xml.cpp.